Skip to main content
POST
/
team
cURL
curl --request POST \
  --url https://api.chartbrew.com/team \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "showBranding": true,
  "allowReportRefresh": true,
  "allowReportExport": true
}
'
import requests

url = "https://api.chartbrew.com/team"

payload = {
"name": "<string>",
"showBranding": True,
"allowReportRefresh": True,
"allowReportExport": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
showBranding: true,
allowReportRefresh: true,
allowReportExport: true
})
};

fetch('https://api.chartbrew.com/team', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "name": "<string>",
  "TeamRoles": [
    {
      "id": 123,
      "team_id": 123,
      "user_id": 123,
      "role": "<string>",
      "projects": [
        "<string>"
      ],
      "canExport": true
    }
  ],
  "showBranding": true,
  "allowReportRefresh": true,
  "allowReportExport": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}
{
"error": "<string>"
}
This endpoint creates a new team with the owner determined by the authentication token used.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
showBranding
boolean
allowReportRefresh
boolean
allowReportExport
boolean

Response

Team created successfully

id
integer
name
string
TeamRoles
object[]
showBranding
boolean
allowReportRefresh
boolean
allowReportExport
boolean
createdAt
string<date-time>
updatedAt
string<date-time>